List quotes
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "reference_code" (string)
Not equal filter for "reference_code" (string)
Contains filter for "reference_code"
Does not contain filter for "reference_code"
Exact match for "product_type" (string)
Not equal filter for "product_type" (string)
Contains filter for "product_type"
Does not contain filter for "product_type"
Exact match for "status" (string)
Not equal filter for "status" (string)
Contains filter for "status"
Does not contain filter for "status"
Exact match for "customer_id" (UUID)
uuidNot equal filter for "customer_id" (UUID)
uuidExact match for "salesperson_name" (string)
Not equal filter for "salesperson_name" (string)
Contains filter for "salesperson_name"
Does not contain filter for "salesperson_name"
Exact match for "description" (string)
Not equal filter for "description" (string)
Contains filter for "description"
Does not contain filter for "description"
Exact match for "quote_date" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "quote_date" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "quote_date" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "quote_date" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "quote_date" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "quote_date" (ISO 8601 date (YYYY-MM-DD))
Exact match for "valid_until" (ISO 8601 date (YYYY-MM-DD))
Not equal filter for "valid_until" (ISO 8601 date (YYYY-MM-DD))
Greater than filter for "valid_until" (ISO 8601 date (YYYY-MM-DD))
Greater than or equal filter for "valid_until" (ISO 8601 date (YYYY-MM-DD))
Less than filter for "valid_until" (ISO 8601 date (YYYY-MM-DD))
Less than or equal filter for "valid_until" (ISO 8601 date (YYYY-MM-DD))
Exact match for "created_at" (ISO 8601 datetime)
Not equal filter for "created_at" (ISO 8601 datetime)
Greater than filter for "created_at" (ISO 8601 datetime)
Greater than or equal filter for "created_at" (ISO 8601 datetime)
Less than filter for "created_at" (ISO 8601 datetime)
Less than or equal filter for "created_at" (ISO 8601 datetime)
Exact match for "updated_at" (ISO 8601 datetime)
Not equal filter for "updated_at" (ISO 8601 datetime)
Greater than filter for "updated_at" (ISO 8601 datetime)
Greater than or equal filter for "updated_at" (ISO 8601 datetime)
Less than filter for "updated_at" (ISO 8601 datetime)
Less than or equal filter for "updated_at" (ISO 8601 datetime)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/quotes"{
"data": [
{
"id": "string",
"reference_code": "string",
"product_type": "goods",
"status": "pending",
"customer_id": "string",
"quote_date": "2019-08-24",
"valid_until": "2019-08-24",
"salesperson_name": "string",
"estimated_delivery_date": "2019-08-24",
"description": "string",
"subtotal": "1500.000000",
"discount_amount": "0.000000",
"discount_rate": "10.000000",
"total_discount": "0.000000",
"total": "1500.000000",
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"customer": {
"id": "string",
"type": "string",
"tax_id": "string",
"tax_id_type": "CPF",
"legal_name": "string",
"trade_name": "string",
"website": "string",
"address_line1": "string",
"address_line2": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country_code": "string",
"is_blocked": true,
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"items": [
{
"id": "string",
"quote_id": "string",
"item_description": "string",
"product_id": "string",
"quantity": "2.000000",
"unit_price": "100.000000",
"discount_amount": "0.000000",
"subtotal": "200.000000",
"total": "200.000000",
"position": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"product": {
"id": "string",
"reference_code": "string",
"name": "string",
"description": "string",
"tags": [
"string"
],
"type": "goods",
"sale_price": "99.900000",
"image_url": "string",
"is_blocked": true,
"metadata": {},
"unit_of_measurement": {
"id": "string",
"code": "string",
"symbol": "string"
},
"br_data": {
"ncm_code": "string",
"cest_code": "string",
"origin": "string",
"extipi": "string",
"ibs_cbs_cst": "string",
"ibs_cbs_classification": "string",
"ibs_cbs_operation_indicator_code": "string",
"ibs_cbs_is_personal_use": true
},
"us_data": {
"hts_code": "string",
"schedule_b_code": "string",
"eccn_code": "string",
"tax_code": "string",
"sales_tax_category": "string",
"country_of_origin": "string",
"upc_code": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}
]
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
